summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-02-01 12:51:29 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-02-01 12:51:29 +0000
commit57ea7dd5ea82237ed2f4d2027ac7b711c1dc034a (patch)
tree5b33d3d00b771344a1a1642ed51d18468ea18115 /dev-python
parent0215b8cb9a387b8c1fe67929b72c70d8f2a5e0e7 (diff)
downloadbaldeagleos-repo-57ea7dd5ea82237ed2f4d2027ac7b711c1dc034a.tar.gz
baldeagleos-repo-57ea7dd5ea82237ed2f4d2027ac7b711c1dc034a.tar.xz
baldeagleos-repo-57ea7dd5ea82237ed2f4d2027ac7b711c1dc034a.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/APScheduler/APScheduler-3.10.0.ebuild58
-rw-r--r--dev-python/APScheduler/Manifest1
-rw-r--r--dev-python/ansible-compat/Manifest1
-rw-r--r--dev-python/ansible-compat/ansible-compat-3.0.0.ebuild52
-rw-r--r--dev-python/astroid/Manifest7
-rw-r--r--dev-python/astroid/astroid-2.12.13.ebuild60
-rw-r--r--dev-python/astroid/astroid-2.12.14.ebuild60
-rw-r--r--dev-python/astroid/astroid-2.13.1.ebuild61
-rw-r--r--dev-python/astroid/astroid-2.13.2.ebuild2
-rw-r--r--dev-python/astroid/astroid-2.13.5.ebuild (renamed from dev-python/astroid/astroid-2.13.3.ebuild)0
-rw-r--r--dev-python/astroid/astroid-2.14.1.ebuild (renamed from dev-python/astroid/astroid-2.13.4.ebuild)0
-rw-r--r--dev-python/black/Manifest1
-rw-r--r--dev-python/black/black-23.1.0.ebuild56
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.26.61.ebuild68
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.29.61.ebuild74
-rw-r--r--dev-python/cachelib/Manifest1
-rw-r--r--dev-python/cachelib/cachelib-0.10.2.ebuild44
-rw-r--r--dev-python/cachetools/cachetools-5.3.0.ebuild2
-rw-r--r--dev-python/clang-python/Manifest1
-rw-r--r--dev-python/clang-python/clang-python-13.0.1.ebuild41
-rw-r--r--dev-python/jupyter_server/Manifest1
-rw-r--r--dev-python/jupyter_server/jupyter_server-2.2.0.ebuild76
-rw-r--r--dev-python/libpillowfight/Manifest1
-rw-r--r--dev-python/libpillowfight/libpillowfight-0.3.0_p20210816-r1.ebuild38
-rw-r--r--dev-python/lit/Manifest1
-rw-r--r--dev-python/lit/lit-13.0.1.ebuild41
-rw-r--r--dev-python/lit/lit-16.0.0_rc1.ebuild2
-rw-r--r--dev-python/openpyxl/openpyxl-3.1.0.ebuild4
-rw-r--r--dev-python/openstacksdk/Manifest1
-rw-r--r--dev-python/openstacksdk/openstacksdk-1.0.0.ebuild85
-rw-r--r--dev-python/pyproject-api/pyproject-api-1.5.0.ebuild2
-rw-r--r--dev-python/qrcode/Manifest1
-rw-r--r--dev-python/qrcode/qrcode-7.4.ebuild41
-rw-r--r--dev-python/time-machine/time-machine-2.9.0.ebuild2
-rw-r--r--dev-python/tox/Manifest1
-rw-r--r--dev-python/tox/tox-4.4.4.ebuild95
-rw-r--r--dev-python/trimesh/Manifest1
-rw-r--r--dev-python/trimesh/trimesh-3.18.2.ebuild77
40 files changed, 785 insertions, 277 deletions
diff --git a/dev-python/APScheduler/APScheduler-3.10.0.ebuild b/dev-python/APScheduler/APScheduler-3.10.0.ebuild
new file mode 100644
index 000000000000..f60051c32618
--- /dev/null
+++ b/dev-python/APScheduler/APScheduler-3.10.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="In-process task scheduler with Cron-like capabilities"
+HOMEPAGE="
+ https://github.com/agronholm/apscheduler/
+ https://pypi.org/project/APScheduler/
+"
+SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+# imports pkg_resources
+RDEPEND="
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/six-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/tzlocal-4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/sqlalchemy-1.4[${PYTHON_USEDEP}]
+ dev-python/tornado[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+PATCHES=(
+ # disable test fixtures using external servers (mongodb, redis...)
+ # these fixtures are using markers in git master, so the patch
+ # should be no longer necessary with next major bump
+ "${FILESDIR}"/APScheduler-3.8.1-external-server-tests.patch
+)
+
+EPYTEST_DESELECT=(
+ tests/test_jobstores.py::test_repr_mongodbjobstore
+ tests/test_jobstores.py::test_repr_redisjobstore
+ tests/test_jobstores.py::test_repr_zookeeperjobstore
+)
+
+python_prepare_all() {
+ # suppress setuptools warning #797751
+ sed -e 's|^upload-dir|upload_dir|' -i setup.cfg || die
+ sed -e '/addopts/d' -i setup.cfg || die
+
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/APScheduler/Manifest b/dev-python/APScheduler/Manifest
index f7cc8a75c5a7..b1ece2737e82 100644
--- a/dev-python/APScheduler/Manifest
+++ b/dev-python/APScheduler/Manifest
@@ -1 +1,2 @@
+DIST APScheduler-3.10.0.tar.gz 100353 BLAKE2B 0d5c25641410161b15bd337661c15443b1034c85d5fa770b4603352c86f517d0ebb9713ac514a2efe1ec5d77f086fbecfb2c39bbf6e41ec6666cfcbb619dd3cb SHA512 ba44be82b10bac899b631b32d78ecc9303955241d2e2b7597282bd914726af3cf406bd3c6e0285f2a9b1737288453075107f317118ae1240de9e15f36290c979
DIST APScheduler-3.9.1.tar.gz 100567 BLAKE2B a31e2591c47d451e95a982b4d85a70ee9a33bf2370a70e0e1ba2a8e31ae718d5853aad6242cbd8f90dc5bc6912af3ea96270e9f514c3903d041af450c1d8ead5 SHA512 901e04140dc9af3b67887cd3200131cc4121cad71b7ca4afe7cc0adf1a58cebb02eee5abed1f97fc95fe9fef843d00cd6611ab3fbff8ace9247894d6f0720dff
diff --git a/dev-python/ansible-compat/Manifest b/dev-python/ansible-compat/Manifest
index abac62b7dc19..52db35730641 100644
--- a/dev-python/ansible-compat/Manifest
+++ b/dev-python/ansible-compat/Manifest
@@ -1 +1,2 @@
DIST ansible-compat-2.2.7.tar.gz 47378 BLAKE2B 58f3b19400fb7646d37c585df07435e65a60f3e57d445c98e8089c6a2ed853cb5dbab682d85cee1a604e1b4de6dd137faa12bf78fe7913752839f95bd651435f SHA512 9a3863be3d755eb5a1a61ba0c526786ea3df14bc6fcabd9196559eb625ab6dfc8de7a17fdb2cdd8ad71d7d61b5e2f0543b8b5908f39d5e7d9ea45e387aa625b1
+DIST ansible-compat-3.0.0.tar.gz 62265 BLAKE2B 7a944fdf5fb419b95f9da0e28cc4e58f5a8fb969653bb74fa2a4103f7d367210bf86de95fa5f3493ef383db4d8ffcc2ab935c006450c2778cb10b256cd32c515 SHA512 af4e1de6b1c73f2c59ae6c7a209f401a9e7871b3674a06c1da48f00d1d508596c557f497cd07b2e32d09814de17c1bfbb0f208b4cef64b2a3457ec47aaed2824
diff --git a/dev-python/ansible-compat/ansible-compat-3.0.0.ebuild b/dev-python/ansible-compat/ansible-compat-3.0.0.ebuild
new file mode 100644
index 000000000000..c1d94be9be9e
--- /dev/null
+++ b/dev-python/ansible-compat/ansible-compat-3.0.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Contains functions that facilitate working with various versions of Ansible"
+HOMEPAGE="
+ https://pypi.org/project/ansible-compat/
+ https://github.com/ansible/ansible-compat/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv"
+
+RDEPEND="
+ >=app-admin/ansible-core-2.12[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-4.6.0[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ >=dev-python/subprocess-tee-0.4.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/setuptools_scm-7.0.0[${PYTHON_USEDEP}]
+ test? (
+ dev-python/flaky[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/pytest-plus[${PYTHON_USEDEP}]
+ )
+"
+
+# All these tests attempt to connect to galaxy.ansible.com
+EPYTEST_DESELECT=(
+ test/test_runtime.py::test_install_collection
+ test/test_runtime.py::test_install_collection_dest
+ test/test_runtime.py::test_prepare_environment_with_collections
+ test/test_runtime.py::test_prerun_reqs_v1
+ test/test_runtime.py::test_prerun_reqs_v2
+ test/test_runtime.py::test_require_collection_no_cache_dir
+ test/test_runtime.py::test_require_collection_wrong_version
+ test/test_runtime.py::test_require_collection
+ test/test_runtime.py::test_upgrade_collection
+ test/test_runtime_example.py::test_runtime
+)
+
+distutils_enable_tests pytest
diff --git a/dev-python/astroid/Manifest b/dev-python/astroid/Manifest
index 78db6ac31236..8da1720ab545 100644
--- a/dev-python/astroid/Manifest
+++ b/dev-python/astroid/Manifest
@@ -1,6 +1,3 @@
-DIST astroid-2.12.13.gh.tar.gz 437906 BLAKE2B c00462d44c9705dc5b46fc52915e6a44e53e840d5326427d235c9156bc4de58b184271338ebc10a4572e1aace8d4ababd3bd7e440a6ee585aa66d15dfe4117be SHA512 16d062b1a619663b157c4753f1744e56e7d0ef7cace12660feb7f6bc540e54be02638b52c1c877d3eb514e2d7423c4afc71e7d5464880bfd3724ff7ae6d7b90a
-DIST astroid-2.12.14.gh.tar.gz 440473 BLAKE2B 5b3d55664676b806af73208a2fcbbea2ee0c48bfb59ffa4f54fdc6dd35463d032b4b033530c9d10c52289f3d51c8d59c4d35330a427110c76a1a4566162ceddc SHA512 cdce9ed35ec107bb7ed4a7eb9e778f90c248dbbc00e3da5b4ae86340f960b71f31ffea0cabb677f17bde9daa28f8bed1de4a9f331b8cc975d85793a44dc29b65
-DIST astroid-2.13.1.gh.tar.gz 449003 BLAKE2B 1630cb4cbdea3544942863c58681ba1d5de81bb5d5e49f58bb498d689ab4ad4533bee169eecd6796ad5a62282c8c1f2dc69c7b59b684d1758e0e6e9f8c0f0298 SHA512 703540b1b5ec65d04e56b349cdd82b59672749e58d10e546cba0600ad65a02d05195400379c5534e8b9142b368974d1e18526c86c5ac3b6e2d3dc8db95d7fec7
DIST astroid-2.13.2.gh.tar.gz 449022 BLAKE2B c8180057edef860fae6697b40d6b023b5be9305f0726b85127035a7ed874005da25b265e49a11a985724034c7a2af177b1c5b9850afaccc5787c5db70e4cd73c SHA512 64635e251fd01ef0ac6681db5750230f9acfc2b502818b7c9c0a480dddc78a03a5e5fa920618331b5c1d84c31551f16de7c4c5ba8052dd96d4974edb25449761
-DIST astroid-2.13.3.gh.tar.gz 450379 BLAKE2B 3381532fa993d801549ef6ee962c6b233042cd35831704f47882c1de0f1eb7ee026f99852adefb0df554f962f048da4032d59c3b4f9dadba032c67f8dbce652a SHA512 61665b1d321104b6a217fff4e6d7bd59f418afe485fdf1acde0157ff49ef000154436ca7b10f21ae475467b06fc2340806f079ab5a6ee7a4bad9976d8a5aeea0
-DIST astroid-2.13.4.gh.tar.gz 451032 BLAKE2B 5f495685a6ee5d601b47ea8c8206bfafc274cc45dcc9e1004a268e1972bacb10b0ae60a0dd600056139e88b2b652a797c2df14fa60a25e2921f2ee20050165d9 SHA512 ca47c217f85ae5f54b047bfef2a8727a2fd2ca410ba2592b224439cd008619d82c12789b6b75ea902cbdbe0d26f2df02c3aff5637f4c344eff135d76325161a8
+DIST astroid-2.13.5.gh.tar.gz 451241 BLAKE2B 6994c9a62911ab347be4de17b9322ca9957b274c2a42085b5c521bc4a810ab0c0079fda89203910a1d7151ebad1b07cc446c1fc8e88580051029861cfb3465ae SHA512 87920dfe5a4e3e64b77cbeefcdd1e227dd712230aeb957f78b57a50d215ef0601689df26ac97cec65d7690e89b10e1b8ab8f2976d1a9b1a3e9a971eb2142d9d2
+DIST astroid-2.14.1.gh.tar.gz 452889 BLAKE2B f6cee61825d2c86bbf02ba6cc9f48076692d3d71ac2c8a02880a778380b076692aef549ab01829d943323b5829b83ee88009b5136b308da6f81a824fa1f62047 SHA512 47dd132e66645c3da639c68011f4691409af38affa80c5b1863706a864fb8458cdfd100f86929fdaac027a514d285132d8865d2d40996c583077384696a84123
diff --git a/dev-python/astroid/astroid-2.12.13.ebuild b/dev-python/astroid/astroid-2.12.13.ebuild
deleted file mode 100644
index 205a464decf7..000000000000
--- a/dev-python/astroid/astroid-2.12.13.ebuild
+++ /dev/null
@@ -1,60 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10,11} )
-
-inherit distutils-r1
-
-DESCRIPTION="Abstract Syntax Tree for logilab packages"
-HOMEPAGE="
- https://github.com/PyCQA/astroid/
- https://pypi.org/project/astroid/
-"
-SRC_URI="
- https://github.com/PyCQA/astroid/archive/v${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="LGPL-2.1+"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86"
-
-# Version specified in pyproject.toml
-RDEPEND="
- >=dev-python/lazy-object-proxy-1.4.0[${PYTHON_USEDEP}]
- dev-python/setuptools[${PYTHON_USEDEP}]
- >=dev-python/typing-extensions-3.10[${PYTHON_USEDEP}]
- <dev-python/wrapt-2[${PYTHON_USEDEP}]
-"
-BDEPEND="
- dev-python/setuptools_scm[${PYTHON_USEDEP}]
- test? (
- dev-python/numpy[${PYTHON_USEDEP}]
- dev-python/python-dateutil[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
-
-python_test() {
- local EPYTEST_DESELECT=(
- # no clue why it's broken
- tests/unittest_modutils.py::GetModulePartTest::test_known_values_get_builtin_module_part
- tests/unittest_brain_dataclasses.py::test_pydantic_field
- tests/unittest_brain.py::SixBrainTest::test_from_imports
- tests/unittest_regrtest.py::NonRegressionTests::test_numpy_distutils
- # some problem with warnings (our options?)
- tests/unittest_decorators.py::TestDeprecationDecorators::test_deprecated_default_argument_values_one_arg
- tests/unittest_decorators.py::TestDeprecationDecorators::test_deprecated_default_argument_values_two_args
- tests/unittest_scoped_nodes.py::test_deprecation_of_doc_attribute
- )
-
- # Faker causes sys.path_importer_cache keys to be overwritten
- # with PosixPaths
- epytest -p no:faker
-}
diff --git a/dev-python/astroid/astroid-2.12.14.ebuild b/dev-python/astroid/astroid-2.12.14.ebuild
deleted file mode 100644
index 66a27643b45d..000000000000
--- a/dev-python/astroid/astroid-2.12.14.ebuild
+++ /dev/null
@@ -1,60 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10,11} )
-
-inherit distutils-r1
-
-DESCRIPTION="Abstract Syntax Tree for logilab packages"
-HOMEPAGE="
- https://github.com/PyCQA/astroid/
- https://pypi.org/project/astroid/
-"
-SRC_URI="
- https://github.com/PyCQA/astroid/archive/v${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="LGPL-2.1+"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
-
-# Version specified in pyproject.toml
-RDEPEND="
- >=dev-python/lazy-object-proxy-1.4.0[${PYTHON_USEDEP}]
- dev-python/setuptools[${PYTHON_USEDEP}]
- >=dev-python/typing-extensions-3.10[${PYTHON_USEDEP}]
- <dev-python/wrapt-2[${PYTHON_USEDEP}]
-"
-BDEPEND="
- dev-python/setuptools_scm[${PYTHON_USEDEP}]
- test? (
- dev-python/numpy[${PYTHON_USEDEP}]
- dev-python/python-dateutil[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
-
-python_test() {
- local EPYTEST_DESELECT=(
- # no clue why it's broken
- tests/unittest_modutils.py::GetModulePartTest::test_known_values_get_builtin_module_part
- tests/unittest_brain_dataclasses.py::test_pydantic_field
- tests/unittest_brain.py::SixBrainTest::test_from_imports
- tests/unittest_regrtest.py::NonRegressionTests::test_numpy_distutils
- # some problem with warnings (our options?)
- tests/unittest_decorators.py::TestDeprecationDecorators::test_deprecated_default_argument_values_one_arg
- tests/unittest_decorators.py::TestDeprecationDecorators::test_deprecated_default_argument_values_two_args
- tests/unittest_scoped_nodes.py::test_deprecation_of_doc_attribute
- )
-
- # Faker causes sys.path_importer_cache keys to be overwritten
- # with PosixPaths
- epytest -p no:faker
-}
diff --git a/dev-python/astroid/astroid-2.13.1.ebuild b/dev-python/astroid/astroid-2.13.1.ebuild
deleted file mode 100644
index a7afab1aa951..000000000000
--- a/dev-python/astroid/astroid-2.13.1.ebuild
+++ /dev/null
@@ -1,61 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10,11} )
-
-inherit distutils-r1
-
-DESCRIPTION="Abstract Syntax Tree for logilab packages"
-HOMEPAGE="
- https://github.com/PyCQA/astroid/
- https://pypi.org/project/astroid/
-"
-SRC_URI="
- https://github.com/PyCQA/astroid/archive/v${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="LGPL-2.1+"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
-
-# Version specified in pyproject.toml
-RDEPEND="
- >=dev-python/lazy-object-proxy-1.4.0[${PYTHON_USEDEP}]
- dev-python/setuptools[${PYTHON_USEDEP}]
- >=dev-python/typing-extensions-4.0.0[${PYTHON_USEDEP}]
- <dev-python/wrapt-2[${PYTHON_USEDEP}]
-"
-BDEPEND="
- dev-python/setuptools_scm[${PYTHON_USEDEP}]
- test? (
- dev-python/numpy[${PYTHON_USEDEP}]
- dev-python/python-dateutil[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
-
-python_test() {
- local EPYTEST_DESELECT=(
- # no clue why they're broken
- tests/test_brain_regex.py::TestRegexBrain::test_regex_pattern_and_match_subscriptable
- tests/unittest_modutils.py::GetModulePartTest::test_known_values_get_builtin_module_part
- tests/unittest_brain_dataclasses.py::test_pydantic_field
- tests/unittest_brain.py::SixBrainTest::test_from_imports
- tests/unittest_regrtest.py::NonRegressionTests::test_numpy_distutils
- # some problem with warnings (our options?)
- tests/unittest_decorators.py::TestDeprecationDecorators::test_deprecated_default_argument_values_one_arg
- tests/unittest_decorators.py::TestDeprecationDecorators::test_deprecated_default_argument_values_two_args
- tests/unittest_scoped_nodes.py::test_deprecation_of_doc_attribute
- )
-
- # Faker causes sys.path_importer_cache keys to be overwritten
- # with PosixPaths
- epytest -p no:faker
-}
diff --git a/dev-python/astroid/astroid-2.13.2.ebuild b/dev-python/astroid/astroid-2.13.2.ebuild
index a7afab1aa951..1c9b098fdc53 100644
--- a/dev-python/astroid/astroid-2.13.2.ebuild
+++ b/dev-python/astroid/astroid-2.13.2.ebuild
@@ -20,7 +20,7 @@ SRC_URI="
LICENSE="LGPL-2.1+"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86"
# Version specified in pyproject.toml
RDEPEND="
diff --git a/dev-python/astroid/astroid-2.13.3.ebuild b/dev-python/astroid/astroid-2.13.5.ebuild
index a9b0a78fcc1f..a9b0a78fcc1f 100644
--- a/dev-python/astroid/astroid-2.13.3.ebuild
+++ b/dev-python/astroid/astroid-2.13.5.ebuild
diff --git a/dev-python/astroid/astroid-2.13.4.ebuild b/dev-python/astroid/astroid-2.14.1.ebuild
index a9b0a78fcc1f..a9b0a78fcc1f 100644
--- a/dev-python/astroid/astroid-2.13.4.ebuild
+++ b/dev-python/astroid/astroid-2.14.1.ebuild
diff --git a/dev-python/black/Manifest b/dev-python/black/Manifest
index 7d6d97dc16fc..f1bc792f8814 100644
--- a/dev-python/black/Manifest
+++ b/dev-python/black/Manifest
@@ -1 +1,2 @@
DIST black-22.12.0.gh.tar.gz 1182329 BLAKE2B fa7461b296e278a9d0945816fe88b933794e1302bc6e5fc2d2d48c94dcf50826471962351d1acc12da804ff7fa434efd8a8dca874dac91c8e36092ac50752669 SHA512 a89acd3c0f0d446e21695e9d7059a6417f8101bca32b22018d974cb08d6f3c9e4dbc3aab0a12091618ca860fbf9b0a53d4f2729311f65ca72f50a71629b60ac8
+DIST black-23.1.0.gh.tar.gz 1196151 BLAKE2B 3c81bf5e52bb08928b568a20c9b3d769c5ebdd120bdfd4565c89fbffd978cd4a93dd70eacd041a4560723987278d16acfcae49245007bdc59178264757fba74d SHA512 f86d1bcf59c3fa0bb1bc3e71511c5df435ea437fd1cb30c466b8babc9522fb96bba6261da1431db75e6d578a85d061d31bd6ddbe50327fb4a3987eb03b03c330
diff --git a/dev-python/black/black-23.1.0.ebuild b/dev-python/black/black-23.1.0.ebuild
new file mode 100644
index 000000000000..a5fe31b048e8
--- /dev/null
+++ b/dev-python/black/black-23.1.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 2020-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="The uncompromising Python code formatter"
+HOMEPAGE="
+ https://black.readthedocs.io/en/stable/
+ https://github.com/psf/black/
+ https://pypi.org/project/black/
+"
+SRC_URI="
+ https://github.com/psf/black/archive/${PV}.tar.gz -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ >=dev-python/click-8.0.0[${PYTHON_USEDEP}]
+ >=dev-python/mypy_extensions-0.4.3[${PYTHON_USEDEP}]
+ >=dev-python/packaging-22.0[${PYTHON_USEDEP}]
+ >=dev-python/pathspec-0.9.0[${PYTHON_USEDEP}]
+ >=dev-python/platformdirs-2[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/tomli-1.1.0[${PYTHON_USEDEP}]
+ ' 3.{8..10})
+ $(python_gen_cond_dep '
+ >=dev-python/typing-extensions-3.10.0.0[${PYTHON_USEDEP}]
+ ' 3.8 3.9)
+"
+BDEPEND="
+ dev-python/hatch-fancy-pypi-readme[${PYTHON_USEDEP}]
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/aiohttp-3.7.4[${PYTHON_USEDEP}]
+ dev-python/aiohttp-cors[${PYTHON_USEDEP}]
+ dev-python/colorama[${PYTHON_USEDEP}]
+ dev-python/parameterized[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+pkg_postinst() {
+ optfeature "blackd - HTTP API for black" \
+ "dev-python/aiohttp dev-python/aiohttp-cors"
+}
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 6aa6b788eb14..bb7f94de110e 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -4,3 +4,4 @@ DIST boto3-1.26.57.gh.tar.gz 593947 BLAKE2B 5a30f237d992bb766b3afaced8b9e01c792c
DIST boto3-1.26.58.gh.tar.gz 594149 BLAKE2B 5bf0ec6a321826a6f7cc346e6051e6b4d99451d0222ccf9445a9f24f561dd1797333a05d44addf1bea9b2b7e18b952c5acfa9f51a5d275fc7b34c5e8c5ab4342 SHA512 16a68f232cfdfbd4c8c6368d520c5826150039f069819aaf608a2e8b03845739a8014c54ba1fb57eeba8ebe4c6ad8e3b135d2a6a4dccd9d41de98fa0b730142d
DIST boto3-1.26.59.gh.tar.gz 594565 BLAKE2B 90c5fe950da7fabc46a4c34e0a77997cfc643273f6b3c1afed6caad3415486b25a6610c8fb9d3f3450b4f3b73e45cfec5d6b1f02666dbd2608944e2db81a955b SHA512 e4dff5978e41a9f4c29ef131d7b8c1f0ec625d9fc77a8cff9ce3c6d5a00d68e75b62da34b418252ddfeedf6302332edd8a30d88401ea393d0de3add64ab5cc40
DIST boto3-1.26.60.gh.tar.gz 595047 BLAKE2B ae920d1fd17e4ceb81c512f5d2af63e4b6c09d8a5382bc50656a8ade1bd490a28bc299d7beb9b3f2b271d1001dbad7f3f1a52177d0d6a09943aea5b351a805dc SHA512 372b3e1a5265448a1f7ed11e1d66f2d33f7b35a5b66203220470eefa93eb04cbcddf2f45809ee5d1d2d369bd75ae40dbd48580b6a30a5f43d97e6b04c6211cfa
+DIST boto3-1.26.61.gh.tar.gz 596525 BLAKE2B 4d6e4548bc7f2ee57145341a107c6ebafd4fc47b13f10ddc142e974c8444365eb5242510994d9f8bb1d020b988ae08c25322d8a6e96184053ace65583c4f0375 SHA512 22f92510a959714a2128730cd618d602542a4c0f305a3560ff8b2acfb79a8bbab07d417bb10830c04d80406cfb31fa8c3765de3506ad7839efd403410c887836
diff --git a/dev-python/boto3/boto3-1.26.61.ebuild b/dev-python/boto3/boto3-1.26.61.ebuild
new file mode 100644
index 000000000000..9523f65d5fb9
--- /dev/null
+++ b/dev-python/boto3/boto3-1.26.61.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 8e2b392b5b42..d7934bc463a9 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -4,3 +4,4 @@ DIST botocore-1.29.57.gh.tar.gz 11132049 BLAKE2B 748a8b709cb6bff1a1bb38757ad68c3
DIST botocore-1.29.58.gh.tar.gz 11135559 BLAKE2B 937b00f1a3c4e3ec818846549bc0cef391c86d3fee9bdd53285111e51c2c52145e7e904020511ed32f2247dd4f150f036f40feeac1a6f899781aff057f9a6d85 SHA512 5cfe5fb174cc14018cd2b7b7af15110665d7ca22f5ae827ba939ce12e71a45e9b5cab8d7ec656fa94c450d46c430a5541cd5bfe92d82da868424db4f8fa4fb2e
DIST botocore-1.29.59.gh.tar.gz 11131182 BLAKE2B fa85e1f8dc3c366f7a7fb3e9b06dd298b1ad62be882891df3414289aa9e88bff72753690a1438e6040aefb7cafa1718a70c940e8cd2b4e743df44013b5748ef6 SHA512 9a4811b44c67652cacc899d1d84d4db1305cb60e73dd47d7f543b85ec37f921cab00a51d67b48ab6a215be8f7543e30c54585e0fb337085e1b75774b053c4bf3
DIST botocore-1.29.60.gh.tar.gz 11129718 BLAKE2B 690d80fa12e9df141402019dc45ef2b0807669132ede8af6b57a45a172da78fda3de017a6392920885125763f221a1dbc6a406cb5cf85e66fb50916cc58ba15f SHA512 b8fb6567db599e09bc000ed0b178ff2799c45edeaf21b122a2028b83a50ef7aa27f874b8dec034f6dc61738c4fd3a218db92b26e104cfa2b3ed6f818d034108e
+DIST botocore-1.29.61.gh.tar.gz 11137565 BLAKE2B 29cce274a1ded4bad0a841664e8b81d1d347ab0b2088c18f8c549463d6480edc795f6ec88571e5d0f0e453dcb5dff554027094072398022f38646ff81d73fd31 SHA512 3349fcf2859fe6d7f9e4cd901e80c8c2b856afb9b03e7967ab73a6888e6990767624cc462a338a17832687d279007c858047f69ceafbaf825a0b5fb468574c83
diff --git a/dev-python/botocore/botocore-1.29.61.ebuild b/dev-python/botocore/botocore-1.29.61.ebuild
new file mode 100644
index 000000000000..0f4daaa48e81
--- /dev/null
+++ b/dev-python/botocore/botocore-1.29.61.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ # fails on unrelated warnings
+ tests/unit/test_client.py::TestAutoGeneratedClient::test_BOTO_DISABLE_COMMONNAME
+ tests/unit/test_client.py::TestClientErrors::test_BOTO_DISABLE_COMMONNAME
+ # TODO
+ tests/functional/test_credentials.py::SSOSessionTest::test_token_chosen_from_provider
+ )
+
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/cachelib/Manifest b/dev-python/cachelib/Manifest
index fc76c95699e4..4d183dd89df6 100644
--- a/dev-python/cachelib/Manifest
+++ b/dev-python/cachelib/Manifest
@@ -1,2 +1,3 @@
DIST cachelib-0.10.1.gh.tar.gz 29232 BLAKE2B e5cdc9282741aac039a90943ba912274f227a93168656e757994781672ae73cba820d1b737c582716fa0711cf74572d2f81b0a495af6b006ff9138e0180c5758 SHA512 4366b6b0e1291cfd84de60927c61e127af7750b4f7437ba34dc6f5542997b01e3525ef628c7dc4325087fa60cb2e9633b1fd32fdc7d93ebe697333ca0e30355f
+DIST cachelib-0.10.2.gh.tar.gz 29249 BLAKE2B 2f15e59f1f3ff2dfabed4076e0e47888d16421b7e94cbe13903a39641d903e044c6879aec3a7ad1673e0bb19d7b668d69316bee9b8f8bb4176125de93bc547df SHA512 7168703bdca228982216c65cd1a765d727813e47a0522d5e84258251b8aebde4d6d561850f97232b4e6c054fe09487e35a251b3992682145ef49c5ff1212488b
DIST cachelib-0.9.0.gh.tar.gz 26407 BLAKE2B 8b1b6c725f5869fda4752db64ab4ee9ee9c748f0ed7e73cb5a9967d18d461cc29779a1e3dc18fcf4b9152f9586ed342fb97e75b4a9b7cb6f5efdeee02f8cf13e SHA512 53b214ba95b0e368e48ddc1e9f904497055e4c37deb0d1946419c3b294eb0e999ea690f2b79bd4801ad80201fb823927bc2024cc493006e20f623955850bba71
diff --git a/dev-python/cachelib/cachelib-0.10.2.ebuild b/dev-python/cachelib/cachelib-0.10.2.ebuild
new file mode 100644
index 000000000000..15cca94af6fa
--- /dev/null
+++ b/dev-python/cachelib/cachelib-0.10.2.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Collection of cache libraries in the same API interface. Extracted from werkzeug"
+HOMEPAGE="
+ https://pypi.org/project/cachelib/
+ https://github.com/pallets-eco/cachelib/
+"
+SRC_URI="
+ https://github.com/pallets-eco/cachelib/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+BDEPEND="
+ test? (
+ dev-db/redis
+ dev-python/pylibmc[${PYTHON_USEDEP}]
+ dev-python/pytest-xprocess[${PYTHON_USEDEP}]
+ dev-python/redis-py[${PYTHON_USEDEP}]
+ net-misc/memcached
+ www-servers/uwsgi[python,${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # bug #818523
+ tests/test_redis_cache.py
+ # requires some test server running
+ # (these tests require dev-python/boto3)
+ tests/test_dynamodb_cache.py
+)
diff --git a/dev-python/cachetools/cachetools-5.3.0.ebuild b/dev-python/cachetools/cachetools-5.3.0.ebuild
index 6a86e4384268..9023714143de 100644
--- a/dev-python/cachetools/cachetools-5.3.0.ebuild
+++ b/dev-python/cachetools/cachetools-5.3.0.ebuild
@@ -17,6 +17,6 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
distutils_enable_tests pytest
diff --git a/dev-python/clang-python/Manifest b/dev-python/clang-python/Manifest
index 854f3e11851b..53407e02853b 100644
--- a/dev-python/clang-python/Manifest
+++ b/dev-python/clang-python/Manifest
@@ -6,4 +6,3 @@ DIST llvm-project-16.0.0rc1.src.tar.xz 118364920 BLAKE2B 449fa321722e77d1a595d0f
DIST llvm-project-16.0.0rc1.src.tar.xz.sig 566 BLAKE2B 29a593f74b05ef6268f0b2ee5ebd810a244e7c6b27dd94f709b22bca8e6c8367f8321a6ec61f85476cd399f31519ac2a3c978014afae29490c1e70d26eb6c35f SHA512 dcca03d41ee3cc7d5b150184b03eb9f2e579603ce9cd5289360d1ca47169174afc26a85079cf096ec91e23f487f0b38bb6cd5fb7e5197530582155b16a5ce748
DIST llvm-project-46d5a57801bc37e5ebb1a4d6b2acc0fa99c01e8d.tar.gz 180436731 BLAKE2B 51c30c3f11dd55a225b8ebe4ded752ce9e8eb58751e7458c29901dbdd3673f94892d337d111d696e779e3f7ef0bca6c7d79709e2072a4bf3a001d8813125d571 SHA512 ebbe0f8becac39d63433dcc3de474c40f1215fc8faab94fa2ba869d28e66b27e4fe088377bd7ae64575a6d7b07017b88bf92e5488a3185a753e647d8da352bbf
DIST llvm-project-6dc85bd3fde7df2999fda07e9e9f2e83d52c6125.tar.gz 175208511 BLAKE2B cf87cf7e9bf7c74aab8ccda0f153369cb81798047fdd48025c3c7030857b128babbaafb667385a5c8e9916e16038b14fee39f1623d329471e73c39c2f2d7bbfa SHA512 e6dc0cacd6c079be8a00364e4c244782d764d9a8d514d65f9078427cb4a0c1663ff88761bfbc1e955a1a990451439110497c2cb7af7f56b2c91f2e9db4389894
-DIST llvmorg-13.0.1.tar.gz 147290251 BLAKE2B 2a44b012a672501761d0c27c6b3a315b69bfef0cd13b078a7e7d2fccc4a9c8c0f2bee0f164c4271c9106b0a99cb06e8b64986f66253b613336719fb86b82541b SHA512 9a8cb5d11964ba88b7624f19ec861fb28701f23956ea3c92f6ac644332d5f41fde97bd8933dd3ee70ed378058c252fa3a3887c8d1af90d219970c2b27691166f
diff --git a/dev-python/clang-python/clang-python-13.0.1.ebuild b/dev-python/clang-python/clang-python-13.0.1.ebuild
deleted file mode 100644
index f431f16350cf..000000000000
--- a/dev-python/clang-python/clang-python-13.0.1.ebuild
+++ /dev/null
@@ -1,41 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10,11} )
-inherit llvm.org python-r1
-
-DESCRIPTION="Python bindings for sys-devel/clang"
-HOMEPAGE="https://llvm.org/"
-
-LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
-SLOT="0"
-KEYWORDS="amd64 ~arm arm64 ~x86"
-IUSE="test"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-RESTRICT="!test? ( test )"
-
-# The module is opening libclang.so directly, and doing some blasphemy
-# on top of it.
-RDEPEND="
- >=sys-devel/clang-${PV}:*
- !sys-devel/llvm:0[clang(-),python(-)]
- !sys-devel/clang:0[python(-)]
- ${PYTHON_DEPS}"
-DEPEND="${RDEPEND}"
-
-LLVM_COMPONENTS=( clang/bindings/python )
-llvm.org_set_globals
-
-python_test() {
- "${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
-}
-
-src_test() {
- python_foreach_impl python_test
-}
-
-src_install() {
- python_foreach_impl python_domodule clang
-}
diff --git a/dev-python/jupyter_server/Manifest b/dev-python/jupyter_server/Manifest
index 04bb910a76d2..e9a31ff5f233 100644
--- a/dev-python/jupyter_server/Manifest
+++ b/dev-python/jupyter_server/Manifest
@@ -1,3 +1,4 @@
DIST jupyter_server-1.19.1.tar.gz 453411 BLAKE2B 800231e7e7ddfcf2a2c2f2725971983d754c76940623ce000e6b86ad503bc6ca68a27e55ca3766193e58184a7148471464dfa9c27076e53ac84b176b8ff65897 SHA512 f4228c73950e49fe26add11c61f3de425b963726908a2df7dae21bb38b986c2ebb6abfc3319ef9e3acbc2fef9579a1a70ac594920985977adf580a082d272368
DIST jupyter_server-2.0.6.tar.gz 686312 BLAKE2B dfa309146e74c646ab28f31a4a7293d2b658771077240179aebd13176151c982035649acf3b78c86ddb06e914e3342e5894fb55f8b8711cb493a6a7c4b259cfa SHA512 186b41b13cc727d0674a49abcb9b3a9aa5b898f0e9e42124e46e862ec62528b4127b159a30352f33e6b91321f1dd3f086f82dca72d5616755bcf3220d154faa6
DIST jupyter_server-2.1.0.tar.gz 688227 BLAKE2B 8bc291d3c35a1eda61cb6eec4e19e42f8477252dddde194f10bfabd2035ca6c0e38a5e37a63ae8979eafa19ea0649c153db65686ec7fb91bc6c48dad8f7e61d4 SHA512 a33741425bc07250bf86e221f1fb330d65bb2984eb2db7bdd454670620f9d774a64f6a7b8ca5894e9ac1c175a3befc1ba2a516e30cde835c3ee29e7770505f6d
+DIST jupyter_server-2.2.0.tar.gz 688879 BLAKE2B 07c5adee44bb4c7646c6f49b1108587773d2bdf78393a67a502fde198fc76e84b20385789ae0ab63863781e6f01babdf37462f6d62eeab87d32a9eeba457e03e SHA512 b236234515e066dfb4b68b9f510f123967fe57bfc396ecb2a46b6cc60c35e5b28a5b6eaafc70ae6133d49377e826d71994249b10665fd4c56fe7f248397cb777
diff --git a/dev-python/jupyter_server/jupyter_server-2.2.0.ebuild b/dev-python/jupyter_server/jupyter_server-2.2.0.ebuild
new file mode 100644
index 000000000000..ca8a7bd15074
--- /dev/null
+++ b/dev-python/jupyter_server/jupyter_server-2.2.0.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Core services, APIs, and REST endpoints to Jupyter web applications"
+HOMEPAGE="
+ https://jupyter.org/
+ https://github.com/jupyter-server/jupyter_server/
+ https://pypi.org/project/jupyter-server/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ia64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/anyio-3.1.0[${PYTHON_USEDEP}]
+ <dev-python/anyio-4[${PYTHON_USEDEP}]
+ dev-python/argon2-cffi[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ >=dev-python/jupyter_client-6.1.1[${PYTHON_USEDEP}]
+ >=dev-python/jupyter_core-5.1.0[${PYTHON_USEDEP}]
+ >=dev-python/jupyter_events-0.4.0[${PYTHON_USEDEP}]
+ >=dev-python/nbconvert-6.4.4[${PYTHON_USEDEP}]
+ >=dev-python/nbformat-5.3.0[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/prometheus_client[${PYTHON_USEDEP}]
+ >=dev-python/pyzmq-24[${PYTHON_USEDEP}]
+ dev-python/send2trash[${PYTHON_USEDEP}]
+ >=dev-python/terminado-0.8.3[${PYTHON_USEDEP}]
+ >=dev-python/tornado-6.2[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-5.6.0[${PYTHON_USEDEP}]
+ dev-python/websocket-client[${PYTHON_USEDEP}]
+
+"
+BDEPEND="
+ test? (
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ dev-python/pytest-console-scripts[${PYTHON_USEDEP}]
+ dev-python/pytest_jupyter[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/pytest-tornasync[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # This fails if your terminal is zsh (and maybe other non-bash as well?)
+ tests/test_terminal.py
+ # Fails because above is ignored
+ tests/auth/test_authorizer.py
+ # Fails with additional extensions installed
+ tests/extension/test_app.py::test_stop_extension
+)
+
+PATCHES=(
+ "${FILESDIR}/${PN}-2.0.1-skip-npm.patch"
+)
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest \
+ -p pytest_tornasync.plugin \
+ -p jupyter_server.pytest_plugin \
+ -p pytest_console_scripts \
+ -p pytest_timeout
+}
diff --git a/dev-python/libpillowfight/Manifest b/dev-python/libpillowfight/Manifest
index a08695322544..81038ebace55 100644
--- a/dev-python/libpillowfight/Manifest
+++ b/dev-python/libpillowfight/Manifest
@@ -1 +1,2 @@
+DIST libpillowfight-0.3.0_p20210816.tar.bz2 87826271 BLAKE2B aa0a9c2800992b671940f0ed0c8d808c5ad870c724fbf0f4dad336d224e6d510b135052f2697a6a1d05bafb9f1969278962c625d5d0ffd997b2548e60b1dec2b SHA512 76b05d49e2ee9fc9dcc2c9342d312841c8d1520d8d2027bd12b6921f85bd92645f698a811ccf7bdeceba64f0b706d5fd2975f91c51db8ce87f1261793aee83cb
DIST libpillowfight-0.3.0_p20210816.tar.gz 89491019 BLAKE2B 24a658ce461928750582560ef27fbc1ea233bb7c6290053bee7ab3437816fd0e9d7933e36a7a90c75706bdc17024200d16a17ec81c0c30563f043e6d15cc074e SHA512 a731a7d8c8492f5f6229315c8ff48bcdf215acd501d1a5f726f60d6417f77d04b702579d972aaa90f9d01d27b7b167b47f15f435c0fe79598aedb55ac397835b
diff --git a/dev-python/libpillowfight/libpillowfight-0.3.0_p20210816-r1.ebuild b/dev-python/libpillowfight/libpillowfight-0.3.0_p20210816-r1.ebuild
new file mode 100644
index 000000000000..e3ca78bf3847
--- /dev/null
+++ b/dev-python/libpillowfight/libpillowfight-0.3.0_p20210816-r1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+COMMIT="50d965879eb89fdef9be09d6e934329486ff585d"
+
+DESCRIPTION="Small library containing various image processing algorithms"
+HOMEPAGE="https://gitlab.gnome.org/World/OpenPaperwork/libpillowfight"
+SRC_URI="https://gitlab.gnome.org/World/OpenPaperwork/${PN}/-/archive/${COMMIT}/${P}.tar.bz2"
+S="${WORKDIR}/${PN}-${COMMIT}"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-python/pillow[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ ln -s "${S}"/tests "${T}"/tests || die
+ sed -e "/'nose>=1.0'/d" -i setup.py || die
+ cat > src/pillowfight/_version.h <<- EOF || die
+ #define INTERNAL_PILLOWFIGHT_VERSION "$(ver_cut 1-3)"
+ EOF
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ cd "${T}" || die
+ epytest "${S}"/tests -o addopts=
+}
diff --git a/dev-python/lit/Manifest b/dev-python/lit/Manifest
index 854f3e11851b..53407e02853b 100644
--- a/dev-python/lit/Manifest
+++ b/dev-python/lit/Manifest
@@ -6,4 +6,3 @@ DIST llvm-project-16.0.0rc1.src.tar.xz 118364920 BLAKE2B 449fa321722e77d1a595d0f
DIST llvm-project-16.0.0rc1.src.tar.xz.sig 566 BLAKE2B 29a593f74b05ef6268f0b2ee5ebd810a244e7c6b27dd94f709b22bca8e6c8367f8321a6ec61f85476cd399f31519ac2a3c978014afae29490c1e70d26eb6c35f SHA512 dcca03d41ee3cc7d5b150184b03eb9f2e579603ce9cd5289360d1ca47169174afc26a85079cf096ec91e23f487f0b38bb6cd5fb7e5197530582155b16a5ce748
DIST llvm-project-46d5a57801bc37e5ebb1a4d6b2acc0fa99c01e8d.tar.gz 180436731 BLAKE2B 51c30c3f11dd55a225b8ebe4ded752ce9e8eb58751e7458c29901dbdd3673f94892d337d111d696e779e3f7ef0bca6c7d79709e2072a4bf3a001d8813125d571 SHA512 ebbe0f8becac39d63433dcc3de474c40f1215fc8faab94fa2ba869d28e66b27e4fe088377bd7ae64575a6d7b07017b88bf92e5488a3185a753e647d8da352bbf
DIST llvm-project-6dc85bd3fde7df2999fda07e9e9f2e83d52c6125.tar.gz 175208511 BLAKE2B cf87cf7e9bf7c74aab8ccda0f153369cb81798047fdd48025c3c7030857b128babbaafb667385a5c8e9916e16038b14fee39f1623d329471e73c39c2f2d7bbfa SHA512 e6dc0cacd6c079be8a00364e4c244782d764d9a8d514d65f9078427cb4a0c1663ff88761bfbc1e955a1a990451439110497c2cb7af7f56b2c91f2e9db4389894
-DIST llvmorg-13.0.1.tar.gz 147290251 BLAKE2B 2a44b012a672501761d0c27c6b3a315b69bfef0cd13b078a7e7d2fccc4a9c8c0f2bee0f164c4271c9106b0a99cb06e8b64986f66253b613336719fb86b82541b SHA512 9a8cb5d11964ba88b7624f19ec861fb28701f23956ea3c92f6ac644332d5f41fde97bd8933dd3ee70ed378058c252fa3a3887c8d1af90d219970c2b27691166f
diff --git a/dev-python/lit/lit-13.0.1.ebuild b/dev-python/lit/lit-13.0.1.ebuild
deleted file mode 100644
index 2e62e33ae285..000000000000
--- a/dev-python/lit/lit-13.0.1.ebuild
+++ /dev/null
@@ -1,41 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10,11} )
-
-inherit distutils-r1 llvm.org
-
-DESCRIPTION="A stand-alone install of the LLVM suite testing tool"
-HOMEPAGE="https://llvm.org/"
-
-LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
-SLOT="0"
-KEYWORDS="amd64 arm arm64 ~ppc ppc64 ~riscv x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-# Tests require 'FileCheck' and 'not' utilities (from llvm)
-BDEPEND="
- test? (
- dev-python/psutil[${PYTHON_USEDEP}]
- sys-devel/llvm
- )"
-
-LLVM_COMPONENTS=( llvm/utils/lit )
-llvm.org_set_globals
-
-# TODO: move the manpage generation here (from sys-devel/llvm)
-
-src_prepare() {
- cd "${WORKDIR}" || die
- distutils-r1_src_prepare
-}
-
-python_test() {
- local -x LIT_PRESERVES_TMP=1
- local litflags=$(get_lit_flags)
- ./lit.py ${litflags//;/ } tests || die
-}
diff --git a/dev-python/lit/lit-16.0.0_rc1.ebuild b/dev-python/lit/lit-16.0.0_rc1.ebuild
index 0e39fac626c6..4a3017cf1639 100644
--- a/dev-python/lit/lit-16.0.0_rc1.ebuild
+++ b/dev-python/lit/lit-16.0.0_rc1.ebuild
@@ -13,7 +13,7 @@ HOMEPAGE="https://llvm.org/"
LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
SLOT="0"
-KEYWORDS=""
+KEYWORDS="~loong"
IUSE="test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/openpyxl/openpyxl-3.1.0.ebuild b/dev-python/openpyxl/openpyxl-3.1.0.ebuild
index b54ca381589a..04d8270c7d1b 100644
--- a/dev-python/openpyxl/openpyxl-3.1.0.ebuild
+++ b/dev-python/openpyxl/openpyxl-3.1.0.ebuild
@@ -28,9 +28,9 @@ BDEPEND="
test? (
dev-python/lxml[${PYTHON_USEDEP}]
dev-python/pillow[${PYTHON_USEDEP},tiff,jpeg]
- dev-python/py[${PYTHON_USEDEP}]
)
"
-distutils_enable_sphinx doc
+distutils_enable_sphinx doc \
+ dev-python/sphinx_rtd_theme
distutils_enable_tests pytest
diff --git a/dev-python/openstacksdk/Manifest b/dev-python/openstacksdk/Manifest
index 3d1c0c4de49f..42de8178981e 100644
--- a/dev-python/openstacksdk/Manifest
+++ b/dev-python/openstacksdk/Manifest
@@ -1 +1,2 @@
DIST openstacksdk-0.103.0.tar.gz 1094619 BLAKE2B 66b4375469b2a8a48640198f94fa6d893c3f5d0e93a20f00dee868d6ed2da34fe367ec885691a06f9b4c056092837b5dd1033201922cb909fc7124456c7b6369 SHA512 175166fbf0aa851ff51c86b99d10cf30da6fe7c516e2d6020061fdcc9627f7d4630e3cc9ef3699be52cf298088f2f80240061e6a851a13effbd13d359a6dab26
+DIST openstacksdk-1.0.0.tar.gz 1118496 BLAKE2B a59ce3ba047c2be3051819e76ee10768cc70a5a10bf16ac2747620fdb321f5ee8ba9af591ae38ea733e17df39bc8fb0ec5d74716cb99e6f3e9466d33d6c35c89 SHA512 46d4c72a18f410274e1996c188c330dad9d58e9ddfdad6e9e91af7c6c8cc710cec23ad983e74165595f64c76cde10945de5c1bb7b715d660957a69dd2158ae75
diff --git a/dev-python/openstacksdk/openstacksdk-1.0.0.ebuild b/dev-python/openstacksdk/openstacksdk-1.0.0.ebuild
new file mode 100644
index 000000000000..507dd0b6ce3a
--- /dev/null
+++ b/dev-python/openstacksdk/openstacksdk-1.0.0.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="A collection of libraries for building applications to work with OpenStack"
+HOMEPAGE="
+ https://opendev.org/openstack/openstacksdk/
+ https://github.com/openstack/openstacksdk/
+ https://pypi.org/project/openstacksdk/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-3.13[${PYTHON_USEDEP}]
+ >=dev-python/appdirs-1.3.0[${PYTHON_USEDEP}]
+ >=dev-python/requestsexceptions-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/jsonpatch-1.20[${PYTHON_USEDEP}]
+ >=dev-python/os-service-types-1.7.0[${PYTHON_USEDEP}]
+ >=dev-python/keystoneauth-3.18.0[${PYTHON_USEDEP}]
+ >=dev-python/decorator-4.4.1[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.9.0[${PYTHON_USEDEP}]
+ >=dev-python/iso8601-0.1.11[${PYTHON_USEDEP}]
+ >=dev-python/netifaces-0.10.4[${PYTHON_USEDEP}]
+ >=dev-python/dogpile-cache-0.6.5[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-2.7.0[${PYTHON_USEDEP}]
+ dev-python/importlib_metadata[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/ddt-1.0.1[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/prometheus_client-0.4.2[${PYTHON_USEDEP}]
+ >=dev-python/oslo-config-6.1.0[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-mock-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/statsd-3.3.0[${PYTHON_USEDEP}]
+ >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ # Internet?
+ sed -e 's:test_create_dynamic_large_object:_&:' \
+ -i openstack/tests/unit/cloud/test_object.py || die
+
+ # TODO
+ sed -e 's:test_generate_form:_&:' \
+ -e 's:test_create_static_large_object:_&:' \
+ -e 's:test_object_segment_retries:_&:' \
+ -e 's:test_object_segment_retry_failure:_&:' \
+ -e 's:test_slo_manifest_retry:_&:' \
+ -i openstack/tests/unit/cloud/test_object.py || die
+
+ # unhappy about paths due to test runner
+ sed -e 's:test_method_not_supported:_&:' \
+ -i openstack/tests/unit/test_exceptions.py || die
+ sed -e 's:test_repr:_&:' \
+ -i openstack/tests/unit/test_resource.py || die
+
+ # requires hacking
+ rm openstack/tests/unit/test_hacking.py || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # functional tests require cloud instance access
+ eunittest -b openstack/tests/unit
+}
diff --git a/dev-python/pyproject-api/pyproject-api-1.5.0.ebuild b/dev-python/pyproject-api/pyproject-api-1.5.0.ebuild
index 19507ef7961c..162a689c04d5 100644
--- a/dev-python/pyproject-api/pyproject-api-1.5.0.ebuild
+++ b/dev-python/pyproject-api/pyproject-api-1.5.0.ebuild
@@ -20,7 +20,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~ppc ~ppc64 ~riscv"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
RDEPEND="
>=dev-python/packaging-21.3[${PYTHON_USEDEP}]
diff --git a/dev-python/qrcode/Manifest b/dev-python/qrcode/Manifest
index 33f6d84d96dc..ce4a91817c19 100644
--- a/dev-python/qrcode/Manifest
+++ b/dev-python/qrcode/Manifest
@@ -1 +1,2 @@
DIST qrcode-7.3.1.tar.gz 43495 BLAKE2B 9986ee77752625e127008038c6c044b5adeb3bd526c27a55b23915190c3c9069adf1c6df1ce5f76cd0255f45319ecb66ebf226932666ea6c89872a46e13c1cd9 SHA512 9e0e508418164926a074d8c6d85419b39a36c01ac6d92415a15ce43d4aea79fa2a8d0167982f832970d2a68ec18d2b729f09e15d80b4f4c33b992999527d39f9
+DIST qrcode-7.4.tar.gz 535636 BLAKE2B 93434750d127eacd21ef44490407ad0ab4b1bc292681713b1ed11782b84e86e58548bee27b6e001c2235a1fb8af8a7166db8ebbbf468281ca312b31288e8dfdf SHA512 33be094ddb0a280704e49e2e06c37100bee282b9cf2d0727ccdf07557ad793f4b71ef250cd3eca0166fd9870aa76c936d8426c6a964d241879a67dd9a5765be6
diff --git a/dev-python/qrcode/qrcode-7.4.ebuild b/dev-python/qrcode/qrcode-7.4.ebuild
new file mode 100644
index 000000000000..b7946b218b86
--- /dev/null
+++ b/dev-python/qrcode/qrcode-7.4.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="QR Code generator on top of PIL"
+HOMEPAGE="
+ https://github.com/lincolnloop/python-qrcode/
+ https://pypi.org/project/qrcode/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+# optional deps:
+# - pillow and lxml for svg backend, set as hard deps
+RDEPEND="
+ dev-python/lxml[${PYTHON_USEDEP}]
+ >=dev-python/pillow-9.1.0[${PYTHON_USEDEP}]
+ dev-python/pypng[${PYTHON_USEDEP}]
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # TODO
+ qrcode/tests/test_script.py::ScriptTest::test_factory
+)
+
+src_install() {
+ distutils-r1_src_install
+ doman doc/qr.1
+}
diff --git a/dev-python/time-machine/time-machine-2.9.0.ebuild b/dev-python/time-machine/time-machine-2.9.0.ebuild
index 49f0df104513..cf8b70c76725 100644
--- a/dev-python/time-machine/time-machine-2.9.0.ebuild
+++ b/dev-python/time-machine/time-machine-2.9.0.ebuild
@@ -20,7 +20,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~ppc ~ppc64 ~riscv"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
RDEPEND="
dev-python/python-dateutil[${PYTHON_USEDEP}]
diff --git a/dev-python/tox/Manifest b/dev-python/tox/Manifest
index 4e821ad42181..644a4bd4395e 100644
--- a/dev-python/tox/Manifest
+++ b/dev-python/tox/Manifest
@@ -1,3 +1,4 @@
DIST tox-3.28.0.gh.tar.gz 309472 BLAKE2B 9896411426f6aebb3efa468c01696ecc5f17ec3e67825672d0efc74c1b1468bc8b8d9c14b6177c181750ba4b9a5e77d616068dd83e21f5641acfc8e2a271cc1f SHA512 64816754e6800661bb564c5c7d21c4139522d540a04fafe3c4591d596072d48d1cbe0ee2abee9c8faf3d5007774f5371431b5a7a8f49912bc879c7b168aab2ca
DIST tox-4.4.2.gh.tar.gz 303341 BLAKE2B 812394e15996b04138e2a8167b3d332b48217c5ecfb807d8ed77ff106d8ad31cfc6b43e07737dec39e1deba7165aa7778471894823b0dbe795b1ccddd2396602 SHA512 1e5b8f025c93bea5b9071d5cfcb4e4e68f1925e7b70c4c838b9f4ba70f8f077ed752176c2a7349b96d125842312c4fa8ccbd23d79665ba46667f4b408bf58f78
DIST tox-4.4.3.gh.tar.gz 303758 BLAKE2B 2182ee88ea3fcc1792304c3a0e064f5f6c790f1305c195084b942e8181986c68faa48ad7a85eb52097de5e822351ee0f0e0f076adfa57276e822405927a0d0f1 SHA512 438ce96a6751363f37bfe7ffc42ab3a2349d6b22fa4259642f3a7cbadd4183d7bc065b6b93298b85dd174700a222cde149657e9203f70cbe747e8a84d9adf35a
+DIST tox-4.4.4.gh.tar.gz 303823 BLAKE2B 3386f00343035dd1d3fe58cb15cd666a55e7d77b84d93c87b5e3add24753255657591d0019a7a2349c081796e1bf096fc29b6451f0d5286e3b5b3ef18e5539c5 SHA512 d37fe82c685db238ab36929d5bfd1dece73ec36b533e027700c35cfe7c3bdff21639212dcb504c499739a17bc9cd600effe4e911a3572375912c4912bf4c5f45
diff --git a/dev-python/tox/tox-4.4.4.ebuild b/dev-python/tox/tox-4.4.4.ebuild
new file mode 100644
index 000000000000..2edd67ba7e93
--- /dev/null
+++ b/dev-python/tox/tox-4.4.4.ebuild
@@ -0,0 +1,95 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+MY_P=${P/_}
+DESCRIPTION="virtualenv-based automation of test activities"
+HOMEPAGE="
+ https://tox.readthedocs.io/
+ https://github.com/tox-dev/tox/
+ https://pypi.org/project/tox/
+"
+SRC_URI="
+ https://github.com/tox-dev/tox/archive/${PV/_}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/cachetools-5.2.1[${PYTHON_USEDEP}]
+ >=dev-python/chardet-5.1[${PYTHON_USEDEP}]
+ >=dev-python/colorama-0.4.6[${PYTHON_USEDEP}]
+ >=dev-python/filelock-3.8.2[${PYTHON_USEDEP}]
+ >=dev-python/packaging-21.3[${PYTHON_USEDEP}]
+ >=dev-python/platformdirs-2.6[${PYTHON_USEDEP}]
+ >=dev-python/pluggy-1[${PYTHON_USEDEP}]
+ >=dev-python/pyproject-api-1.5[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/tomli-2.0.1[${PYTHON_USEDEP}]
+ ' 3.8 3.9 3.10)
+ >=dev-python/virtualenv-20.17.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/hatch-vcs-0.3[${PYTHON_USEDEP}]
+ test? (
+ dev-python/build[${PYTHON_USEDEP}]
+ >=dev-python/distlib-0.3.6[${PYTHON_USEDEP}]
+ >=dev-python/flaky-3.7[${PYTHON_USEDEP}]
+ >=dev-python/psutil-5.9.4[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ >=dev-python/pytest-xdist-3.1[${PYTHON_USEDEP}]
+ >=dev-python/re-assert-1.1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/time-machine-2.8.2[${PYTHON_USEDEP}]
+ ' 'python*')
+ )
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+src_prepare() {
+ # the minimal bounds in tox are entirely meaningless and new packaging
+ # breaks setuptools
+ sed -i -e '/packaging/s:>=[0-9]\+::' pyproject.toml || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # devpi_process is not packaged, and has lots of dependencies
+ cat > "${T}"/devpi_process.py <<-EOF || die
+ def IndexServer(*args, **kwargs): raise NotImplementedError()
+ EOF
+
+ local -x PYTHONPATH=${T}:${PYTHONPATH}
+ local EPYTEST_DESELECT=(
+ # Internet
+ tests/tox_env/python/virtual_env/package/test_package_cmd_builder.py::test_build_wheel_external
+ )
+ local EPYTEST_IGNORE=(
+ # requires devpi*
+ tests/test_provision.py
+ )
+
+ [[ ${EPYTHON} == pypy3 ]] && EPYTEST_DESELECT+=(
+ 'tests/tox_env/python/pip/test_pip_install.py::test_constrain_package_deps[explicit-True-True]'
+ 'tests/tox_env/python/pip/test_pip_install.py::test_constrain_package_deps[requirements-True-True]'
+ 'tests/tox_env/python/pip/test_pip_install.py::test_constrain_package_deps[constraints-True-True]'
+ 'tests/tox_env/python/pip/test_pip_install.py::test_constrain_package_deps[explicit+requirements-True-True]'
+ 'tests/tox_env/python/pip/test_pip_install.py::test_constrain_package_deps[requirements_indirect-True-True]'
+ 'tests/tox_env/python/pip/test_pip_install.py::test_constrain_package_deps[requirements_constraints_indirect-True-True]'
+ )
+
+ epytest
+}
diff --git a/dev-python/trimesh/Manifest b/dev-python/trimesh/Manifest
index 1ee596e22fed..779c14b4d159 100644
--- a/dev-python/trimesh/Manifest
+++ b/dev-python/trimesh/Manifest
@@ -1,3 +1,4 @@
DIST trimesh-3.17.1.gh.tar.gz 12653345 BLAKE2B df286132ca01e1a7e8c226b7c98ffa0682b9bf2e225c4114c88395611d1a65a02be4395940ad04b67ae3b6909664b46e18e9fd018d892c86f8f5a4fcfe532210 SHA512 8cbf0bedd21c0867c5aa307e9bb8b4e4caff2aabee89cfadfa11513293304caa4b6a5ecce21064b7fa157a2453b58d401eb6010d0ea32bbd5a99c3075f38b826
DIST trimesh-3.18.0.gh.tar.gz 12656666 BLAKE2B e183ab1b5ff904b54a7801aaf9e6a3ac24a277107dae03dd37be7a37c56835ac99b617af1c12ea4119c39c3c064d8d1e783ce6effa51ebc0bc65103e688ad363 SHA512 309e1c5dd17a2d1875254a732d96708b98635cbd17ceea80c5386d6ea4675f943e1760f7a4383e9c24ec5711d30ea0732883a691952da1d1079a81a87fcca6cc
DIST trimesh-3.18.1.gh.tar.gz 12657109 BLAKE2B 8e5370193e7d47f1dc2d7d43c356df1a56c2b4b8af6f47ac6aa889b04a3b950ec507b5cc0fe6f99f874cf66111aa72773025ba3821013466bb34baced3a361ca SHA512 72936c0fc6f89ffa35b80928dc5abac8ca4fac023f5be1d4adec6d020f3da6ee2c7a97efb0cecf58faad94ef6f33949533ac789affcecee07696ca0188fd47f0
+DIST trimesh-3.18.2.gh.tar.gz 12656555 BLAKE2B 39fb1a04a067fdf5e2e85eaacd135f79ae322cab583b1701e702c3638677d8b16d0de411300a39ee39be526500a09ca77fab65666f5eda45c0fa289a48ac1513 SHA512 662034adf97efcc50d0c665b8af5ef190ec48d116186d348d4c431dc1fc51564b36b470d996419770e8f48e2e482e3fa8aa9ced30871c7e1dcb20dcee4e9cd5a
diff --git a/dev-python/trimesh/trimesh-3.18.2.ebuild b/dev-python/trimesh/trimesh-3.18.2.ebuild
new file mode 100644
index 000000000000..0ddca64f7e23
--- /dev/null
+++ b/dev-python/trimesh/trimesh-3.18.2.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1 multiprocessing optfeature
+
+DESCRIPTION="Python library for loading and using triangular meshes"
+HOMEPAGE="
+ https://trimsh.org/
+ https://github.com/mikedh/trimesh/
+ https://pypi.org/project/trimesh/
+"
+SRC_URI="
+ https://github.com/mikedh/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/chardet[${PYTHON_USEDEP}]
+ dev-python/colorlog[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/msgpack[${PYTHON_USEDEP}]
+ dev-python/networkx[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/pycollada[${PYTHON_USEDEP}]
+ dev-python/pyglet[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/shapely-1.8.2[${PYTHON_USEDEP}]
+ dev-python/svg-path[${PYTHON_USEDEP}]
+ dev-python/sympy[${PYTHON_USEDEP}]
+ dev-python/xxhash[${PYTHON_USEDEP}]
+ sci-libs/rtree[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ dev-python/mapbox_earcut[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # remove pyinstrument from tests, as only used for profiling
+ sed -e '/pyinstrument/d' -i tests/{regression,corpus,generic}.py || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # does profiling with pyinstrument
+ tests/test_scenegraph.py::GraphTests::test_shortest_path
+ )
+ epytest -n "$(makeopts_jobs)"
+}
+
+pkg_postinst() {
+ optfeature_header "${PN} functionality can be extended by installing the following packages:"
+ optfeature "making GUI applications with 3D stuff" dev-python/glooey
+ optfeature "2D triangulations of polygons" dev-python/mapbox_earcut
+ optfeature "loading a number of additional mesh formats" dev-python/meshio
+ optfeature "figuring out how much memory we have" dev-python/psutil
+ optfeature "marching cubes and other nice stuff" sci-libs/scikit-image
+}